Tags
All operations require authentication.
Add a resource tagProduction
Adds a tag, made of a key and a value, to the resource. Requires the $resourceType:apiovh:iam/resource/tag/add action on the resource type.
Path parameters
ResourceURN
Request body (required)
Resource tag key. It must comply with ^[a-zA-Z0-9_.:/=+@-]{1,128}\z.
Resource tag value. It must comply with ^[a-zA-Z0-9_.:/=+@-]{0,256}\z.
Response
Example uses resourceURN = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resource/ {resourceURN}/ tag \
-H "authorization: Bearer $OVH_TOKEN"Delete a resource tagProduction
Deletes the tag identified by its key. Computed ovh: tags cannot be deleted. Requires the $resourceType:apiovh:iam/resource/tag/remove action on the resource type.
Path parameters
Key
ResourceURN
Response
Example uses key = string, resourceURN = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resource/ {resourceURN}/ tag/ {key} \
-H "authorization: Bearer $OVH_TOKEN"Update a resourceProduction
Updates the tags of the resource. Adding a tag requires the $resourceType:apiovh:iam/resource/tag/add action and removing one requires $resourceType:apiovh:iam/resource/tag/remove, with $resourceType the type of the resource.
Path parameters
ResourceURN
Request body (required)
Resource display name
Identifier of the resource
Resource name
Resource owner
Resource tags. Tags that were internally computed are prefixed with ovh:
Resource type. All types can be retrieved at /reference/resource/type.
Unique resource name used in policies
Response
Resource display name
Identifier of the resource
Resource name
Resource owner
Resource tags. Tags that were internally computed are prefixed with ovh:
Resource type. All types can be retrieved at /reference/resource/type.
Unique resource name used in policies
Example uses resourceURN = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resource/ {resourceURN} \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "tags": { "key": "string" }, "type": "string", "urn": "string"}